Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Get a VAT invoice by ID, including its line items.
cURL
curl --request GET \ --url https://vinmake-erp.onrender.com/vat-invoices/{vat_invoice_id}
import requestsurl = "https://vinmake-erp.onrender.com/vat-invoices/{vat_invoice_id}"response = requests.get(url)print(response.text)
const options = {method: 'GET'};fetch('https://vinmake-erp.onrender.com/vat-invoices/{vat_invoice_id}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php$curl = curl_init();curl_setopt_array($curl, [ CURLOPT_URL => "https://vinmake-erp.onrender.com/vat-invoices/{vat_invoice_id}", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET",]);$response = curl_exec($curl);$err = curl_error($curl);curl_close($curl);if ($err) { echo "cURL Error #:" . $err;} else { echo $response;}
package mainimport ( "fmt" "net/http" "io")func main() { url := "https://vinmake-erp.onrender.com/vat-invoices/{vat_invoice_id}" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body))}
HttpResponse<String> response = Unirest.get("https://vinmake-erp.onrender.com/vat-invoices/{vat_invoice_id}") .asString();
require 'uri'require 'net/http'url = URI("https://vinmake-erp.onrender.com/vat-invoices/{vat_invoice_id}")http = Net::HTTP.new(url.host, url.port)http.use_ssl = truerequest = Net::HTTP::Get.new(url)response = http.request(request)puts response.read_body
{ "id": "<string>", "direction": "<string>", "formNo": "<string>", "serial": "<string>", "invoiceNumber": "<string>", "taxAuthorityCode": "<string>", "issueDate": "<string>", "sellerName": "<string>", "sellerTaxCode": "<string>", "buyerName": "<string>", "buyerTaxCode": "<string>", "clientId": "<string>", "clientName": "<string>", "supplierId": "<string>", "supplierName": "<string>", "invoiceId": "<string>", "billId": "<string>", "currency": "<string>", "exchangeRate": 123, "subtotal": 123, "vatRate": 123, "vatAmount": 123, "totalAmount": 123, "adjustmentType": "<string>", "replacesVatInvoiceId": "<string>", "status": "<string>", "notes": "<string>", "createdAt": "<string>", "createdById": "<string>", "lineItems": [ { "id": "<string>", "vatInvoiceId": "<string>", "lineNo": 123, "description": "<string>", "qty": 123, "uom": "<string>", "unitPrice": 123, "lineSubtotal": 123, "vatRate": 123, "vatAmount": 123, "lineTotal": 123 } ] }
{ "detail": [ { "loc": [ "<string>" ], "msg": "<string>", "type": "<string>", "input": "<unknown>", "ctx": {} } ]}
Successful Response
Show child attributes